View Issue Details

IDProjectCategoryView StatusLast Update
0004594Multi Theft Auto : San AndreasClientpublic2014-01-30 13:25
ReporterDragonAssigned Tosbx320 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformQ9450 | GTX 280 | 2 GB DDR3 RAMOSWindows XP Home EditionOS Version2002 SP 3
Product Version 
Target Version1.3.5Fixed in Version1.3.5 
Summary0004594: onPedWasted / onClientPedWasted always returns 63 (blown) as weapon
Description

When these events are triggered the killer weapon / death reason is always 63 (blown).

TagsNo tags attached.

Relationships

has duplicate 0006966 closed New issues onPedWasted weapon param is randomly 63 

Activities

arranTuna

2013-12-22 00:38

manager   ~~0019833

Confirmed in v1.4-unstable-6010

Though it always returns 63 (blown) now instead of 54 (fall)

sbx320

2013-12-22 04:14

administrator   ~~0019835

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=6015.

Previously always the weapon which damaged the local player before was used instead of the weapon which killed the ped. Same should've applied to the hit zone.

arranTuna

2013-12-23 12:12

manager   ~~0019850

Confirmed as fixed in http://code.google.com/p/mtasa-blue/source/detail?r=6015

Issue History

Date Modified Username Field Change